Kmod-usb-net-huawei-cdc-ncm

I got dependency issues:

Running: OpenWrt SNAPSHOT r9010-adc8b37 / LuCI Master (git-19.007.66460-4edac36
on a Tp-link ARcher C7 v2.

<pre>opkg install kmod-usb-net-huawei-cdc-ncm 
Installing kmod-usb-net-huawei-cdc-ncm (4.14.93-1) to root...
Downloading http://downloads.openwrt.org/snapshots/targets/ath79/generic/packages/kmod-usb-net-huawei-cdc-ncm_4.14.93-1_mips_24kc.ipk
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-usb-net-huawei-cdc-ncm:
 * 	kernel (= 4.14.93-1-a939e14e40e31f87bde70cf7fc2e99a1) * 	kernel (= 4.14.93-1-a939e14e40e31f87bde70cf7fc2e99a1) * kernel (= 4.14.93-1-a939e14e40e31f87bde70cf7fc2e99a1) * 
 * opkg_install_cmd: Cannot install package kmod-usb-net-huawei-cdc-ncm.</pre>

Trying to use usb-dongle (huawei): I had success to install usb-modeswitch
comgt-ncm via ssh.

okay sometimes you have to write it down to understand the problem.
I am using kernel 4.14.91 but packages need 4.14.93.
My question is: how to update my kernel?

I am guessing I have to do a sysupgrade from snapshot? Someone can confirm that?

Yes you need to sysupgrade your firmware. I would suggest to use a stable build incase you don't want to sysupgrade quite often. Flashing quite often can leave the flash unusable after a certain amount of time. Keep that in mind.

this is a pure exmple of panicking! - if you sit and start to do sysupgrade without eating and sleeping your normal life expectancy is not enough to f´damage the flash

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.